SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Absolute Poll Manager XE Vendors:   XIGLA SOFTWARE
Absolute Poll Manager XE Input Validation Hole Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1018634
SecurityTracker URL:  http://securitytracker.com/id/1018634
CVE Reference:   CVE-2007-4630   (Links to External Site)
Updated:  Apr 1 2008
Original Entry Date:  Aug 30 2007
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 4.1, possibly other versions
Description:   A vulnerability was reported in Absolute Poll Manager XE. A remote user can conduct cross-site scripting attacks.

The '/AbsolutePollManager/xlaapmview.asp' script does not properly filter HTML code from user-supplied input in the 'msg' parameter before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the Absolute Poll Manager XE software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

The vendor was notified on July 4, 2007.

A demonstration exploit URL is provided:

http://[target]/AbsolutePollManager/xlaapmview.asp?p=1&msg=<script>alert("running+code+within+the+context+of+"%2bdocument.domain)</script>

Richard Brain and Adrian Pastor of ProCheckUp Ltd reported this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the Absolute Poll Manager XE software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.

The vendor plans to include a fix in the future .NET version of Absolute Poll Manager XE.

Vendor URL:  www.xigla.com/absolutepm/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC